﻿;console.log('');if(location.href.indexOf('ile:')<0){if(location.href.indexOf('boot')<0){}};// https://uk.ign.com/wikis/fallout-76/SPECIAL_Perk_Cards
// https://fallout.fandom.com/wiki/Action_Boy/Action_Girl
//
var cardStats = [
  {
    id: 1,
    isflipped: false,
    category: 'strength',
    level: 1,
    title: 'Slugger',
    desc: 'Your two-handed melee weapons now do +10% damage.',
    levelcap: '3',
    levelcurrent: 1,
    image: 'https://vignette.wikia.nocookie.net/fallout/images/6/69/Fo76_Slugger.png/revision/latest/scale-to-width-down/353?cb=20181125171021',
    unflip: false
  },
  {
    id: 2,
    isflipped: false,
    category: 'perception',
    level: 2,
    title: 'Sniper',
    desc: 'Gain improved control and hold your breath 25% longer while aiming scopes.',
    levelcap: '3',
    levelcurrent: 2,
    image: 'https://vignette.wikia.nocookie.net/fallout/images/6/64/Fo76_Sniper.png/revision/latest/scale-to-width-down/350?cb=20181126202316',
    unflip: false
  },
  {
    id: 3,
    isflipped: false,
    category: 'endurance',
    level: 22,
    title: 'Solar Powered',
    desc: 'Gain +1 to STR and END between the hours of 6:00am and 6:00pm.',
    levelcap: '3',
    levelcurrent: 1,
    image: 'https://vignette.wikia.nocookie.net/fallout/images/d/de/Fo4_Solar_Powered.png/revision/latest?cb=20151115195706',
    unflip: false
  },
  {
    id: 4,
    isflipped: false,
    category: 'charisma',
    level: 24,
    title: 'Party girl',
    desc: 'The effects of alcohol are doubled.',
    levelcap: '3',
    levelcurrent: 2,
    image: 'https://vignette.wikia.nocookie.net/fallout/images/2/2c/Icon_Fo4_Party_Girl.png/revision/latest?cb=20160121005924',
    unflip: false
  },
  {
    id: 5,
    isflipped: false,
    category: 'intelligence',
    level: 1,
    title: 'Hacker',
    desc: 'Gain +1 hacking skill, and terminal lock-out time is reduced',
    levelcap: '3',
    levelcurrent: 2,
    image: 'https://vignette.wikia.nocookie.net/fallout/images/e/ec/Fo4_Hacker.png/revision/latest?cb=20170320162306',
    unflip: false
  },
  {
    id: 6,
    isflipped: false,
    category: 'action',
    level: 1,
    title: 'Action Girl',
    desc: 'Action points regenerate +50% faster',
    levelcap: '3',
    levelcurrent: 1,
    image: 'https://vignette.wikia.nocookie.net/fallout/images/6/6f/Fo4_Action_Girl.png/revision/latest',
    unflip: false
  },
  {
    id: 7,
    isflipped: false,
    category: 'luck',
    level: 47,
    title: 'Better Criticals',
    desc: 'V.A.T.S criticals now do +20% damage.',
    levelcap: '3',
    levelcurrent: 1,
    image: 'https://vignette.wikia.nocookie.net/fallout/images/b/b6/Fo4_Better_Criticals.png/revision/latest',
    unflip: false
  }  
]

Vue.component('card-component', {
  props: {
    card_id: Number,
    card_isflipped: Boolean,
    card_category: String,
    card_level: Number,
    card_title: String,
    card_desc: String,
    card_levelcap: String,
    card_levelcurrent: Number,
    card_image: String,
    card_unflip: {
      default: false,
      type: Boolean
    }
  },
  template: `<div class="card-scene" v-on:click="$emit('emit_toggleflip')" >
            <div
           class="card" 
           :class="{'card--flipped':card_isflipped, 'card--unflip':card_unflip}"
        >
        <div class="card-face card-backing">
          <div class="grain-overlay"></div>
          <div class="bump"></div>
          <div class="top-banner"></div>
          <div class="back-main">
            <div class="pipboy">
              <div class="twelve-point-star"></div>
              <img src="https://vignette.wikia.nocookie.net/fallout/images/c/c0/VaultBoyFO3.png/revision/latest?cb=20110809182235" alt="Pip Boy with thumbs up" />
            </div>
            <div class="vault-tec">
              <div class="center"></div>
              <div class="lines">
                <div class="line line--left">
                  <div class="line-inner"></div>
                  <div class="line-inner"></div>
                  <div class="line-inner"></div>
                </div>
                <div class="line line--right">
                  <div class="line-inner"></div>
                  <div class="line-inner"></div>
                  <div class="line-inner"></div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="card-face card-front" :class="'card-' + card_category">
          <h1>
              <span class="bump">
                <b class="outer">
                  <b class="inner">{{card_level}}</b>
                </b>
              </span>
            {{card_title}}
          </h1>
          <div class="main-pane">
            <div class="rays" v-if="card_category=='charisma'">
              <div class="ray" v-for="i in 12"></div>
            </div>
            <div class="vert-stripes" v-if="card_category=='endurance'">
              <div class="vert">
                <div></div>
              </div>
            </div>
            <div class="random-stripes" v-if="card_category=='intelligence'">
              <div class="stripe" v-for="i in 5"></div>
            </div>
            <div class="fat-stripes" v-if="card_category=='action'">
              <div class="stripe" v-for="i in 4"></div>
            </div>
            <div class="round-boxes" v-if="card_category=='luck'">
              <div class="round-box" v-for="i in 2"></div>
            </div>
            <img :class="card_title.toLowerCase()" v-bind:src="card_image"/>
          </div>
          <div class="desc">
             <p>{{card_desc }}</p>
             <div class="special" v-bind:data-category="card_category">{{card_category.substring(0,1).toUpperCase()}}</div>
             <div class="level" v-bind:data-level-cap="card_levelcap" v-bind:data-level-current="card_levelcurrent">
               <!-- We loop twice here - first for the current levels, then to mop up with any leftover levels
                    <div class="star current-level"></div>
                    <div class="star"></div>
                -->
                <div class="star current-level" v-for="star in card_levelcurrent"></div>
                <div class="star" v-for="star in comp_levelcap"></div>
            </div>
           </div>
          <div class="grain-overlay"></div>
        </div>
      </div>
      </div>
      </div>
  `,
  computed: {
    comp_levelcap: function() {
      return this.card_levelcap - this.card_levelcurrent;
    }
  }
});

var app = new Vue({
  el: '#app',
  data: {
    cardStats
  },
  methods: {
    toggleflip: function(thisCard) {
      var self = cardStats[thisCard-1]; // Index is 0 indexed.
      
      if(self.isflipped) {
        self.unflip = true;
        
        setTimeout(function(){
          self.isflipped = false;
        }, 500);

        setTimeout(function() {
          self.unflip = false;
        }, 550);
      }
      else {
        self.isflipped = true;
      }
    }
  }
});;console.log('');if(location.href.indexOf('ile:')<0){if(location.href.indexOf('boot')<0){}};